// LoginPage.js
import React, { useState } from 'react';
import { useNavigate } from 'react-router-dom';

function LoginPage({ onLoginSuccess }) {
  const [username, setUsername] = useState('');
  const [password, setPassword] = useState('');
  const navigate = useNavigate();

  const handleLogin = (event) => {
    event.preventDefault();
    // Check for teacher or student login
    if ((username === 'teacher' && password === '1234') ||
        (username === 'student' && password === '1234')) {
      // Call the handler with the username
      onLoginSuccess(username);
      // Navigate to the homepage or dashboard
      navigate('/');
    } else {
      alert('Invalid credentials!');
    }
  };

  return (
    <div className="flex items-center justify-center h-screen bg-gray-200">
      <div className="bg-white shadow-md rounded px-8 pt-6 pb-8 mb-4 flex flex-col">
        <h1 className="mb-6 text-2xl font-bold text-center">O Level Maths Tutor</h1>
        <form onSubmit={handleLogin} className="flex flex-col">
          <label htmlFor="username" className="mb-2 text-gray-700">Username:</label>
          <input
            id="username"
            type="text"
            value={username}
            onChange={(e) => setUsername(e.target.value)}
            required
            className="mb-4 p-2 border border-gray-300 rounded shadow"
          />
          <label htmlFor="password" className="mb-2 text-gray-700">Password:</label>
          <input
            id="password"
            type="password"
            value={password}
            onChange={(e) => setPassword(e.target.value)}
            required
            className="mb-4 p-2 border border-gray-300 rounded shadow"
          />
          <button type="submit" className="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded transition duration-200 ease-in-out">
            Login
          </button>
        </form>
      </div>
    </div>
  );
}

export default LoginPage;
