// Navbar.js
import React from 'react';
import { NavLink } from 'react-router-dom';

const Navbar = () => {
  const activeLinkStyle = ({ isActive }) =>
    isActive ? 'text-blue-500' : 'text-white';

  return (
    <nav className="bg-gray-800 p-4">
      <ul className="flex justify-start items-center space-x-4">
        <li>
          <NavLink
            to="/"
            className={activeLinkStyle}
            aria-label="Home"
          >
            Home
          </NavLink>
        </li>
        <li>
          <NavLink
            to="/about"
            className={activeLinkStyle}
            aria-label="About"
          >
            About
          </NavLink>
        </li>
        <li>
          <NavLink
            to="/insights"
            className={activeLinkStyle}
            aria-label="Insights"
          >
            Insights
          </NavLink>
        </li>
      </ul>
    </nav>
  );
};

export default Navbar;
